package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_PLAN所对应的实体类（生成工具：代码生成器2.4）
 * @author ZJAY-PC   date 2015-12-19
 */
public class MilPlanEntity {
    /**
     * 返线跟队标识(0-未跟队 1-跟队)
     */
    private String backLineFlag;
    /**
     * 返线计划标识(0-正常计划， 1-返线计划)
     */
    private String backPlanFlag;
    /**
     * 取样工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤 11-人工质检)
     */
    private String simpleProcess;
    /**
     * 成品判定标准
     */
    private String produceStandrad;
    /**
     * ID
     */
    private String id;
    /**
     * 序号
     */
    private String seq;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号1
     */
    private String judgeStoveNo;
    /**
     * 生产批号 1
     */
    private String lotNo;
    /**
     * 工序合同号1
     */
    private String contractNo;
    /**
     * 执行工艺号1
     */
    private String impProcess;
    /**
     * 产线(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
     */
    private String plineCode;
    /**
     * 状态(00-上料 05-开始锯切 15-入炉 25-开始穿孔 35-开始连轧 45-入再加热炉 55-开始定径 65-开始分切 75-开始矫直 85-开始探伤 95-开始质检)
     */
    private String status;
    /**
     * 监制
     */
    private String producer;
    /**
     * 工艺状态1
     */
    private String processStatus;
    /**
     * 单倍长12
     */
    private String dbLength;
    /**
     * 单倍重1
     */
    private String dbHeight;
    /**
     * 轧制长度1
     */
    private String rollLength;
    /**
     * 分切数1
     */
    private String sawNum;
    /**
     * 目标长度1
     */
    private String targetLength;
    /**
     * 用户1
     */
    private String finishUser;
    /**
     * 目标库1
     */
    private String targetLiabrary;
    /**
     * 品种
     */
    private String varieties;
    /**
     * 规格
     */
    private String pipeSize;
    /**
     * 扣型
     */
    private String buckleType;
    /**
     * 长度范围12
     */
    private String lengthRange;
    /**
     * 轧管判定标准
     */
    private String rollStandrad;
    /**
     * 断面
     */
    private String pipeSection;
    /**
     * 钢级代码
     */
    private String steelcode;
    /**
     * 钢级名称
     */
    private String steelname;
    /**
     * 钢种代码
     */
    private String gradecode;
    /**
     * 钢种名称
     */
    private String gradename;
    /**
     * 炼钢判定标准
     */
    private String steelStandrad;
    /**
     * 去向
     */
    private String target;
    /**
     * 计划成品支
     */
    private String branch;
    /**
     * 计划成品吨
     */
    private String ton;
    /**
     * 切损去向
     */
    private String cutTarget;
    /**
     * 切损长度
     */
    private String cutLength;
    /**
     * 切损重量
     */
    private String cutWeight;
    /**
     * 理论单倍坯支数
     */
    private String dbNum;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 创建时间
     */
    private String tom;
    /**
     * 修改时间 
     */
    private String toc;
    /**
     * 结炉状态( 10-锯切完成  20-出炉  30-穿孔完成  40-连轧完成  50-出再加热炉  60-出定径  70-分切完成  80-矫直完成  90-探伤完成 96-质检完成 99- 入库)
     */
    private String nodeStatus;
    /**
     * 切头长度
     */
    private String cutHeadLengthp;
    /**
     * 切尾长度
     */
    private String cutTrailLengthp;
    /**
     * 控制壁厚
     */
    private String controlThickp;
    /**
     * 下线标识（0-正常轧制，1-下线 2-返线）
     */
    private String offlineFlag;
    /**
     * 是否组批,0默认，1已组批，2已取样，3已确认
     */
    private String isBatch;
    /**
     * 下线时间
     */
    private String offlineDate;
    /**
     * 切尾类型（主动切尾，被动切尾）
     */
    private String cutType;
    /**
     * 轧制状态（0-正常轧制 1-整炉下线 2-坯料全部剔除）
     */
    private String rollingStatus;
    /**
     * 上料时间
     */
    private String feedTime ;
    /**
     * 上料炉号
     */
    private String feedHeatNo ;
    /**
     * 订货长度范围
     */
    private String lengthcp ;

    private String ordLnDlyPk;
    /***
     * 排产订单号
     */
    private String proPlanId;
    
    /**
     * 生产类型（0、正常计划；1、试轧料）
     */
    private String type;
    
    

    public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	/***
     * 排产序号
     */
    private String gxPlanNo;
    
	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	/***
	 * 坯类型
	 */
	private String tubeType;
	
	public String getTubeType() {
		return tubeType;
	}

	public void setTubeType(String tubeType) {
		this.tubeType = tubeType;
	}
/***
 * 坯来源
 */
	private String tubeSuorce;
	public String getTubeSuorce() {
	return tubeSuorce;
}

public void setTubeSuorce(String tubeSuorce) {
	this.tubeSuorce = tubeSuorce;
}

	public MilPlanEntity(){
		type = "";
		tubeType = "";
		tubeSuorce = "";
		gxPlanNo = "";
		proPlanId = "";
    	lengthcp = "";
    	feedHeatNo = "";
    	feedTime = "";
        backLineFlag = "";
        backPlanFlag = "";
        simpleProcess = "";
        produceStandrad = "";
        id = "";
        seq = "";
        stoveNo = "";
        judgeStoveNo = "";
        lotNo = "";
        contractNo = "";
        impProcess = "";
        plineCode = "";
        status = "";
        producer = "";
        processStatus = "";
        dbLength = "";
        dbHeight = "";
        rollLength = "";
        sawNum = "";
        targetLength = "";
        finishUser = "";
        targetLiabrary = "";
        varieties = "";
        pipeSize = "";
        buckleType = "";
        lengthRange = "";
        rollStandrad = "";
        pipeSection = "";
        steelcode = "";
        steelname = "";
        gradecode = "";
        gradename = "";
        steelStandrad = "";
        target = "";
        branch = "";
        ton = "";
        cutTarget = "";
        cutLength = "";
        cutWeight = "";
        dbNum = "";
        startTime = "";
        endTime = "";
        tom = "";
        toc = "";
        nodeStatus = "";
        cutHeadLengthp = "";
        cutTrailLengthp = "";
        controlThickp = "";
        offlineFlag = "";
        isBatch = "";
        offlineDate = "";
        cutType = "";
        rollingStatus = "";
        ordLnDlyPk = "";
    }

	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}
    /**
     * 返线跟队标识(0-未跟队 1-跟队)
     * @return value
     */
    public String getBackLineFlag() {
        return backLineFlag;
    }

    /**
     * 返线跟队标识(0-未跟队 1-跟队)
     * @param backLineFlag value
     */
    public void setBackLineFlag(String backLineFlag) {
        this.backLineFlag = backLineFlag;
    }

    /**
     * 返线计划标识(0-正常计划， 1-返线计划)
     * @return value
     */
    public String getBackPlanFlag() {
        return backPlanFlag;
    }

    /**
     * 返线计划标识(0-正常计划， 1-返线计划)
     * @param backPlanFlag value
     */
    public void setBackPlanFlag(String backPlanFlag) {
        this.backPlanFlag = backPlanFlag;
    }

    /**
     * 取样工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤 11-人工质检)
     * @return value
     */
    public String getSimpleProcess() {
        return simpleProcess;
    }

    /**
     * 取样工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤 11-人工质检)
     * @param simpleProcess value
     */
    public void setSimpleProcess(String simpleProcess) {
        this.simpleProcess = simpleProcess;
    }

    /**
     * 成品判定标准
     * @return value
     */
    public String getProduceStandrad() {
        return produceStandrad;
    }

    /**
     * 成品判定标准
     * @param produceStandrad value
     */
    public void setProduceStandrad(String produceStandrad) {
        this.produceStandrad = produceStandrad;
    }

    /**
     * ID
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * ID
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号1
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号1
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 生产批号 1
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号 1
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 工序合同号1
     * @return value
     */
    public String getContractNo() {
        return contractNo;
    }

    /**
     * 工序合同号1
     * @param contractNo value
     */
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    /**
     * 执行工艺号1
     * @return value
     */
    public String getImpProcess() {
        return impProcess;
    }

    /**
     * 执行工艺号1
     * @param impProcess value
     */
    public void setImpProcess(String impProcess) {
        this.impProcess = impProcess;
    }

    /**
     * 产线(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 状态(00-上料 05-开始锯切 15-入炉 25-开始穿孔 35-开始连轧 45-入再加热炉 55-开始定径 65-开始分切 75-开始矫直 85-开始探伤 95-开始质检)
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态(00-上料 05-开始锯切 15-入炉 25-开始穿孔 35-开始连轧 45-入再加热炉 55-开始定径 65-开始分切 75-开始矫直 85-开始探伤 95-开始质检)
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 监制
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 工艺状态1
     * @return value
     */
    public String getProcessStatus() {
        return processStatus;
    }

    /**
     * 工艺状态1
     * @param processStatus value
     */
    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    /**
     * 单倍长12
     * @return value
     */
    public String getDbLength() {
        return dbLength;
    }

    /**
     * 单倍长12
     * @param dbLength value
     */
    public void setDbLength(String dbLength) {
        this.dbLength = dbLength;
    }

    /**
     * 单倍重1
     * @return value
     */
    public String getDbHeight() {
        return dbHeight;
    }

    /**
     * 单倍重1
     * @param dbHeight value
     */
    public void setDbHeight(String dbHeight) {
        this.dbHeight = dbHeight;
    }

    /**
     * 轧制长度1
     * @return value
     */
    public String getRollLength() {
        return rollLength;
    }

    /**
     * 轧制长度1
     * @param rollLength value
     */
    public void setRollLength(String rollLength) {
        this.rollLength = rollLength;
    }

    /**
     * 分切数1
     * @return value
     */
    public String getSawNum() {
        return sawNum;
    }

    /**
     * 分切数1
     * @param sawNum value
     */
    public void setSawNum(String sawNum) {
        this.sawNum = sawNum;
    }

    /**
     * 目标长度1
     * @return value
     */
    public String getTargetLength() {
        return targetLength;
    }

    /**
     * 目标长度1
     * @param targetLength value
     */
    public void setTargetLength(String targetLength) {
        this.targetLength = targetLength;
    }

    /**
     * 用户1
     * @return value
     */
    public String getFinishUser() {
        return finishUser;
    }

    /**
     * 用户1
     * @param finishUser value
     */
    public void setFinishUser(String finishUser) {
        this.finishUser = finishUser;
    }

    /**
     * 目标库1
     * @return value
     */
    public String getTargetLiabrary() {
        return targetLiabrary;
    }

    /**
     * 目标库1
     * @param targetLiabrary value
     */
    public void setTargetLiabrary(String targetLiabrary) {
        this.targetLiabrary = targetLiabrary;
    }

    /**
     * 品种
     * @return value
     */
    public String getVarieties() {
        return varieties;
    }

    /**
     * 品种
     * @param varieties value
     */
    public void setVarieties(String varieties) {
        this.varieties = varieties;
    }

    /**
     * 规格
     * @return value
     */
    public String getPipeSize() {
        return pipeSize;
    }

    /**
     * 规格
     * @param pipeSize value
     */
    public void setPipeSize(String pipeSize) {
        this.pipeSize = pipeSize;
    }

    /**
     * 扣型
     * @return value
     */
    public String getBuckleType() {
        return buckleType;
    }

    /**
     * 扣型
     * @param buckleType value
     */
    public void setBuckleType(String buckleType) {
        this.buckleType = buckleType;
    }

    /**
     * 长度范围12
     * @return value
     */
    public String getLengthRange() {
        return lengthRange;
    }

    /**
     * 长度范围12
     * @param lengthRange value
     */
    public void setLengthRange(String lengthRange) {
        this.lengthRange = lengthRange;
    }

    /**
     * 轧管判定标准
     * @return value
     */
    public String getRollStandrad() {
        return rollStandrad;
    }

    /**
     * 轧管判定标准
     * @param rollStandrad value
     */
    public void setRollStandrad(String rollStandrad) {
        this.rollStandrad = rollStandrad;
    }

    /**
     * 断面
     * @return value
     */
    public String getPipeSection() {
        return pipeSection;
    }

    /**
     * 断面
     * @param pipeSection value
     */
    public void setPipeSection(String pipeSection) {
        this.pipeSection = pipeSection;
    }

    /**
     * 钢级代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 炼钢判定标准
     * @return value
     */
    public String getSteelStandrad() {
        return steelStandrad;
    }

    /**
     * 炼钢判定标准
     * @param steelStandrad value
     */
    public void setSteelStandrad(String steelStandrad) {
        this.steelStandrad = steelStandrad;
    }

    /**
     * 去向
     * @return value
     */
    public String getTarget() {
        return target;
    }

    /**
     * 去向
     * @param target value
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /**
     * 计划成品支
     * @return value
     */
    public String getBranch() {
        return branch;
    }

    /**
     * 计划成品支
     * @param branch value
     */
    public void setBranch(String branch) {
        this.branch = branch;
    }

    /**
     * 计划成品吨
     * @return value
     */
    public String getTon() {
        return ton;
    }

    /**
     * 计划成品吨
     * @param ton value
     */
    public void setTon(String ton) {
        this.ton = ton;
    }

    /**
     * 切损去向
     * @return value
     */
    public String getCutTarget() {
        return cutTarget;
    }

    /**
     * 切损去向
     * @param cutTarget value
     */
    public void setCutTarget(String cutTarget) {
        this.cutTarget = cutTarget;
    }

    /**
     * 切损长度
     * @return value
     */
    public String getCutLength() {
        return cutLength;
    }

    /**
     * 切损长度
     * @param cutLength value
     */
    public void setCutLength(String cutLength) {
        this.cutLength = cutLength;
    }

    /**
     * 切损重量
     * @return value
     */
    public String getCutWeight() {
        return cutWeight;
    }

    /**
     * 切损重量
     * @param cutWeight value
     */
    public void setCutWeight(String cutWeight) {
        this.cutWeight = cutWeight;
    }

    /**
     * 理论单倍坯支数
     * @return value
     */
    public String getDbNum() {
        return dbNum;
    }

    /**
     * 理论单倍坯支数
     * @param dbNum value
     */
    public void setDbNum(String dbNum) {
        this.dbNum = dbNum;
    }

    /**
     * 开始时间
     * @return value
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * 开始时间
     * @param startTime value
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * 结束时间
     * @param endTime value
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getTom() {
        return tom;
    }

    /**
     * 创建时间
     * @param tom value
     */
    public void setTom(String tom) {
        this.tom = tom;
    }

    /**
     * 修改时间 
     * @return value
     */
    public String getToc() {
        return toc;
    }

    /**
     * 修改时间 
     * @param toc value
     */
    public void setToc(String toc) {
        this.toc = toc;
    }

    /**
     * 结炉状态( 10-锯切完成  20-出炉  30-穿孔完成  40-连轧完成  50-出再加热炉  60-出定径  70-分切完成  80-矫直完成  90-探伤完成 96-质检完成 99- 入库)
     * @return value
     */
    public String getNodeStatus() {
        return nodeStatus;
    }

    /**
     * 结炉状态( 10-锯切完成  20-出炉  30-穿孔完成  40-连轧完成  50-出再加热炉  60-出定径  70-分切完成  80-矫直完成  90-探伤完成 96-质检完成 99- 入库)
     * @param nodeStatus value
     */
    public void setNodeStatus(String nodeStatus) {
        this.nodeStatus = nodeStatus;
    }

    /**
     * 切头长度
     * @return value
     */
    public String getCutHeadLengthp() {
        return cutHeadLengthp;
    }

    /**
     * 切头长度
     * @param cutHeadLengthp value
     */
    public void setCutHeadLengthp(String cutHeadLengthp) {
        this.cutHeadLengthp = cutHeadLengthp;
    }

    /**
     * 切尾长度
     * @return value
     */
    public String getCutTrailLengthp() {
        return cutTrailLengthp;
    }

    /**
     * 切尾长度
     * @param cutTrailLengthp value
     */
    public void setCutTrailLengthp(String cutTrailLengthp) {
        this.cutTrailLengthp = cutTrailLengthp;
    }

    /**
     * 控制壁厚
     * @return value
     */
    public String getControlThickp() {
        return controlThickp;
    }

    /**
     * 控制壁厚
     * @param controlThickp value
     */
    public void setControlThickp(String controlThickp) {
        this.controlThickp = controlThickp;
    }

    /**
     * 下线标识（0-正常轧制，1-下线 2-返线）
     * @return value
     */
    public String getOfflineFlag() {
        return offlineFlag;
    }

    /**
     * 下线标识（0-正常轧制，1-下线 2-返线）
     * @param offlineFlag value
     */
    public void setOfflineFlag(String offlineFlag) {
        this.offlineFlag = offlineFlag;
    }

    /**
     * 是否组批,0默认，1已组批，2已取样，3已确认
     * @return value
     */
    public String getIsBatch() {
        return isBatch;
    }

    /**
     * 是否组批,0默认，1已组批，2已取样，3已确认
     * @param isBatch value
     */
    public void setIsBatch(String isBatch) {
        this.isBatch = isBatch;
    }

    /**
     * 下线时间
     * @return value
     */
    public String getOfflineDate() {
        return offlineDate;
    }

    /**
     * 下线时间
     * @param offlineDate value
     */
    public void setOfflineDate(String offlineDate) {
        this.offlineDate = offlineDate;
    }

    /**
     * 切尾类型（主动切尾，被动切尾）
     * @return value
     */
    public String getCutType() {
        return cutType;
    }

    /**
     * 切尾类型（主动切尾，被动切尾）
     * @param cutType value
     */
    public void setCutType(String cutType) {
        this.cutType = cutType;
    }

    /**
     * 轧制状态（0-正常轧制 1-整炉下线 2-坯料全部剔除）
     * @return value
     */
    public String getRollingStatus() {
        return rollingStatus;
    }

    /**
     * 轧制状态（0-正常轧制 1-整炉下线 2-坯料全部剔除）
     * @param rollingStatus value
     */
    public void setRollingStatus(String rollingStatus) {
        this.rollingStatus = rollingStatus;
    }
    /**
     * 上料时间
     * @return value
     */
    public String getFeedTime() {
        return feedTime;
    }

    /**
     * 上料时间
     * @param feedTime value
     */
    public void setFeedTime(String feedTime) {
        this.feedTime = feedTime;
    }
    /**
     * 上料炉号
     * @return value
     */
    public String getFeedHeatNo() {
        return feedHeatNo;
    }

    /**
     * 上料炉号
     * @param feedHeatNo value
     */
    public void setFeedHeatNo(String feedHeatNo) {
        this.feedHeatNo = feedHeatNo;
    }
    /**
     * 订货长度范围
     * @return value
     */
    public String getLengthcp() {
        return lengthcp;
    }

    /**
     * 订货长度范围
     * @param lengthcp value
     */
    public void setLengthcp(String lengthcp) {
        this.lengthcp = lengthcp;
    }
}
